import * as React from 'react';
import { TouchableWithoutFeedback, View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import MaterialIcon from 'react-native-vector-icons/MaterialIcons';
import s from '../../common/locales/strings';
import { isIphoneX } from '../../util/isIphoneX';
import { withTheme } from '../services/ThemeContext';
import { PinButton } from '../themed/PinButton';
class PinKeypadComponent extends React.PureComponent {
    render() {
        const { disabled, onPress, theme } = this.props;
        const styles = getStyles(theme);
        return (React.createElement(View, { style: styles.keypadContainer },
            React.createElement(View, { style: styles.keypadInner },
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_one, onPress: () => onPress('1') })),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_two, onPress: () => onPress('2') })),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_three, onPress: () => onPress('3') }))),
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_four, onPress: () => onPress('4') })),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_five, onPress: () => onPress('5') })),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_six, onPress: () => onPress('6') }))),
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_seven, onPress: () => onPress('7') })),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_eight, onPress: () => onPress('8') })),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_nine, onPress: () => onPress('9') }))),
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(View, { style: styles.keypadColumnBlank }),
                    React.createElement(View, { style: styles.keypadBox },
                        React.createElement(PinButton, { label: s.strings.keypad_zero, onPress: () => onPress('0') })),
                    React.createElement(TouchableWithoutFeedback, { onPress: () => onPress('back'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumnBack },
                            React.createElement(MaterialIcon, { name: "backspace", style: styles.keypadKeysBack })))))));
    }
}
export const PinKeypad = withTheme(PinKeypadComponent);
const getStyles = cacheStyles((theme) => ({
    keypadContainer: {
        width: '100%',
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center'
    },
    keypadInner: {
        flex: 1,
        maxWidth: theme.rem(22),
        height: theme.rem(13),
        maxHeight: theme.rem(19),
        marginBottom: isIphoneX ? theme.rem(1.75) : 0
    },
    keypadRow: {
        flex: 1,
        flexDirection: 'row'
    },
    keypadBox: {
        flex: 1,
        margin: theme.rem(0.125),
        // borderColor: 'red',
        // borderWidth: 0.5,
        justifyContent: 'center',
        alignItems: 'center'
    },
    keypadColumnBack: {
        flex: 1,
        margin: theme.rem(0.125),
        justifyContent: 'center',
        alignItems: 'center'
    },
    keypadColumnBlank: {
        flex: 1,
        margin: theme.rem(0.125)
    },
    keypadKeysBack: {
        textAlign: 'center',
        fontSize: theme.rem(2),
        color: theme.secondaryButtonOutline
    }
}));
