declare const asThemeShadowParams: import("cleaners").ObjectCleaner<{
    shadowColor: string;
    shadowOffset: {
        width: any;
        height: any;
    };
    shadowOpacity: number;
    shadowRadius: number;
    elevation: number;
}>;
declare type ThemeShadowParams = ReturnType<typeof asThemeShadowParams>;
declare const asTextShadowParams: import("cleaners").ObjectCleaner<{
    textShadowColor: string;
    textShadowOffset: {
        width: any;
        height: any;
    };
    textShadowRadius: number;
}>;
declare type TextShadowParams = ReturnType<typeof asTextShadowParams>;
declare const asGradientCoords: import("cleaners").ObjectCleaner<{
    x: number;
    y: number;
}>;
declare type GradientCoords = ReturnType<typeof asGradientCoords>;
export declare const themeNoShadow: ThemeShadowParams;
export declare const textNoShadow: TextShadowParams;
export declare const asOptionalTheme: import("cleaners").ObjectCleaner<Partial<Theme>>;
export declare type OptionalTheme = ReturnType<typeof asOptionalTheme>;
declare type FontWeight = 'normal' | 'bold' | '100' | '200' | '300' | '400' | '500' | '600' | '700' | '800' | '900';
export interface Theme {
    rem: (size: number) => number;
    preferPrimaryButton: boolean;
    fontFamily: string;
    fontWeightBold: FontWeight;
    icon: string;
    iconDeactivated: string;
    iconTappable: string;
    backgroundGradientColors: string[];
    modal: string;
    modalBlurType: 'light' | 'dark';
    modalBorderColor: string;
    modalBorderWidth: number;
    modalBorderRadiusRem: number;
    primaryText: string;
    secondaryText: string;
    dangerText: string;
    warningText: string;
    linkText: string;
    positiveText: string;
    tileBackground: string;
    buttonBorderRadiusRem: number;
    keypadButtonOutline: string;
    keypadButtonOutlineWidth: number;
    keypadButton: string[];
    keypadButtonColorStart: GradientCoords;
    keypadButtonColorEnd: GradientCoords;
    keypadButtonText: string;
    keypadButtonTextShadow: TextShadowParams;
    keypadButtonShadow: ThemeShadowParams;
    keypadButtonBorderRadiusRem: number;
    keypadButtonFontSizeRem: number;
    keypadButtonFont: string;
    primaryButtonOutline: string;
    primaryButtonOutlineWidth: number;
    primaryButton: string[];
    primaryButtonColorStart: GradientCoords;
    primaryButtonColorEnd: GradientCoords;
    primaryButtonText: string;
    primaryButtonTextShadow: TextShadowParams;
    primaryButtonShadow: ThemeShadowParams;
    primaryButtonFontSizeRem: number;
    primaryButtonFont: string;
    secondaryButtonOutline: string;
    secondaryButtonOutlineWidth: number;
    secondaryButton: string[];
    secondaryButtonColorStart: GradientCoords;
    secondaryButtonColorEnd: GradientCoords;
    secondaryButtonText: string;
    secondaryButtonTextShadow: TextShadowParams;
    secondaryButtonShadow: ThemeShadowParams;
    secondaryButtonFontSizeRem: number;
    secondaryButtonFont: string;
    escapeButtonOutline: string;
    escapeButtonOutlineWidth: number;
    escapeButton: string[];
    escapeButtonColorStart: GradientCoords;
    escapeButtonColorEnd: GradientCoords;
    escapeButtonText: string;
    escapeButtonTextShadow: TextShadowParams;
    escapeButtonShadow: ThemeShadowParams;
    escapeButtonFontSizeRem: number;
    escapeButtonFont: string;
    pinUsernameButtonOutline: string;
    pinUsernameButtonOutlineWidth: number;
    pinUsernameButton: string[];
    pinUsernameButtonColorStart: GradientCoords;
    pinUsernameButtonColorEnd: GradientCoords;
    pinUsernameButtonText: string;
    pinUsernameButtonTextShadow: TextShadowParams;
    pinUsernameButtonShadow: ThemeShadowParams;
    pinUsernameButtonBorderRadiusRem: number;
    pinUsernameButtonFontSizeRem: number;
    pinUsernameButtonFont: string;
    outlineTextInputColor: string;
    outlineTextInputTextColor: string;
    outlineTextInputBorderWidth: number;
    outlineTextInputBorderColor: string;
    outlineTextInputBorderColorFocused: string;
    outlineTextInputLabelColor: string;
    outlineTextInputLabelColorFocused: string;
    dropdownWarning: string;
    dropdownError: string;
    dropdownText: string;
    lineDivider: string;
    thinLineWidth: number;
    mediumLineWidth: number;
    fontFaceDefault: string;
    fontFaceBold: string;
    fontFaceSymbols: string;
}
export {};
